import { post } from "./axios";
async function useMember(data) {
  const res = await post("member", data, "MEMBER");
  return res;
}

export async function addBillRecord(data) {
  const res = await useMember({ type: "addBillRecord", ...data });
  return res;
}

export async function getBillRecord(data) {
  const res = await useMember({ type: "getBillRecord", ...data });
  return res;
}

export async function updateFeeRecord(data) {
  const res = await useMember({ type: "updateFeeRecord", ...data });
  return res;
}

export async function addFeeRecord(data) {
  const res = await useMember({ type: "addFeeRecord", ...data });
  return res;
}

export async function batchAddFeeRecord(data) {
  const res = await useMember({ type: "batchAddFeeRecord", ...data });
  return res;
}
